<?php

namespace App\OldDataMigrations;

class CoreAuthMigration extends BaseOldDataMigration
{
    public function priority(): int
    {
        return 1;
    }

    public function migrate(): array
    {
        $results = [];

        $results['users'] = $this->migrateTable('users');
        $results['user_profiles'] = $this->migrateTable('user_profiles');
        $results['employees'] = $this->migrateTable('employees');
        $results['permissions'] = $this->migrateTable('permissions');
        $results['roles'] = $this->migrateTable('roles');
        $results['model_has_permissions'] = $this->migrateTable('model_has_permissions');
        $results['model_has_roles'] = $this->migrateTable('model_has_roles');
        $results['role_has_permissions'] = $this->migrateTable('role_has_permissions');

        return $results;
    }
}
